Package org.codehaus.groovy.control

# Class CompilationUnit.GroovyClassOperation

java.lang.Object
org.codehaus.groovy.control.CompilationUnit.GroovyClassOperation

All Implemented Interfaces:
  `CompilationUnit.IGroovyClassOperation`

Enclosing class:
  CompilationUnit

@Deprecated public abstract static class CompilationUnit.GroovyClassOperation extends Object implements CompilationUnit.IGroovyClassOperation
Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyClassOperation()`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.control.CompilationUnit.IGroovyClassOperation

  `call, doPhaseOperation`

- ## Constructor Details

  - ### GroovyClassOperation

    public GroovyClassOperation()
    Deprecated.